AutoScrapItemClass = {
    [0] = false, --consumable
    [1] = true,  --container (i think no market price)
    [2] = true,  --weapon
    [3] = true,  --gemas
    [4] = true,  --Armor
    [7] = false, --tradeskill
    [8] = true,  --item  Enhancement
    [9] = true,  --recipe
    [12] = false, --quest
    [15] = {      --miscellaneous
        [0] = true, --junk
        [1] = false, --reagents
        [5] = false, --mount
        [6] = true, --mount equipment
    }, --miscellaneous
    [16] = false, --glyph
    [17] = false, --battlepets
    [18] = false, --wow token
}


--Return true if you can Scrap it, false otherwise
--Actually looks for a valid true or false on the table
--if nill its a item no setup in the table, so false by missing or skipped to enter all subcategories
function CheckItemTypeSubtype (class,subClass)
    for key,value in pairs(AutoScrapItemClass) do
        if (key==class) then
            if (type (value) == "boolean") then
                return value
            elseif (type (value) =="table")then
                for k,v in pairs (AutoScrapItemClass[key]) do
                    if (k==subClass) then
                        if (type (v) == "boolean") then
                            return v
                        else
                            --return nil
                            return false
                        end
                    end
                end
            else
                --return nil
                return false
            end
        end
    end
    --return nil
    return false
end

--CheckTypeSubtype (2,6) --return true
--CheckTypeSubtype (1,6) --return true
--CheckTypeSubtype (10,4)--return nil